# Get Crawl Errors

`GET /crawl/{id}/errors`

> Note: A new [v2 version of this API](/api-reference/endpoint/crawl-get-errors) is now available with improved features and performance.

## OpenAPI

````yaml api-reference/v1-openapi.json get /crawl/{id}/errors
openapi: 3.0.0
info:
  title: Firecrawl API
  version: v1
  description: API for interacting with Firecrawl services to perform web scraping
    and crawling tasks.
  contact:
    name: Firecrawl Support
    url: https://firecrawl.dev/support
    email: support@firecrawl.dev
servers:
  - url: https://api.firecrawl.dev/v1
security:
  - bearerAuth: []
paths:
  /crawl/{id}/errors:
    get:
      summary: Get the errors of a crawl job
      operationId: getCrawlErrors
      tags:
        - Crawling
      security:
        - bearerAuth: []
      responses:
        "200":
          description: Successful response
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/CrawlErrorsResponseObj"
        "402":
          description: Payment required
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Payment required to access this resource.
        "429":
          description: Too many requests
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Request rate limit exceeded. Please wait and try again later.
        "500":
          description: Server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: An unexpected error occurred on the server.
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
  schemas:
    CrawlErrorsResponseObj:
      type: object
      properties:
        errors:
          type: array
          description: Errored scrape jobs and error details
          items:
            type: object
            properties:
              id:
                type: string
              timestamp:
                type: string
                nullable: true
                description: ISO timestamp of failure
              url:
                type: string
                description: Scraped URL
              error:
                type: string
                description: Error message
        robotsBlocked:
          type: array
          description: List of URLs that were attempted in scraping but were blocked by
            robots.txt
          items:
            type: string
````
